1. Card Payments
  • Developer Docs Ecuador 🇪🇨
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
        POST
      • Make a charge or deferred charge
        POST
      • Refund a transaction
        DELETE
      • Void a transaction
        DELETE
      • Request deferred options
        GET
      • Validate OTP
        POST
      • Bin Info V2
        GET
      • Bin Info
        GET
    • One Click and Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Update recurring charge card data
      • Make an One-click payment
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Subscription Transactions
      • Get subscription transactions
    • Transfer in
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Cash in
      • Request a cash in token
      • Init Transaction
      • Update a cash in transaction
      • Transaction Status
      • Delete a cash in transaction
    • Smartlinks
      • Create a Smartlink
      • Update a Smartlink
      • Get a Smartlink
      • Delete a smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Status
      • Get gateway status
      • Get platform status
    • Commissions
      • Get Commission Configuration
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Activate or deactivate
      • Delete credential
      • Update credential
      • Regenerate a credential
      • Advanced search
    • Payment Button
      • Create a payment button
    • Settlement
      • Query settlement
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • threeDomainSecure
    • webhooks
    • Card-old
    • Channel
    • Amount-cash-in
    • ChargebackListResponse
    • StatusComponent
    • SettlementDateRangeRequest
    • SubscriptionTransactionsResponse
    • Card
    • currency
    • networkToken
    • ChargebackItem
    • ErrorResponse
    • SettlementTicketRequest
    • SubscriptionTransaction
    • Subscription
    • Amount
    • ErrorResponse400
    • SettlementResponse
    • extraTaxes
    • Country
    • ErrorResponse401
    • SettlementRecord
    • Language
    • Deferred
    • ErrorResponse403
    • Metadata
    • payment_method
    • ErrorResponse500
    • ContactDetails
    • documentType
    • orderDetails
    • Shipping Address
    • Billing-Address
    • payment_submethod
    • SubscriptionUpdate
    • product
    • SubscriptionAdjustmentRequest
    • threeDomainSecure
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • ExternalReferenceId
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
  1. Card Payments

Make a charge or deferred charge

POST
/card/v1/charges

Deferred charges in Ecuador 🇪🇨#

If you perform a deferred charge with credentials of an Ecuadorian, you have to set the deferred object that has the creditType, graceMonths and months.

How to obtain the available deferred options?#

As soon as your customer’s card number is entered, you must use the method Request deferred options to verify if there are deferred payment options for the BIN of the card entered by the user.

In response to this call, you will receive the name of the deferral, the type (corresponds to the creditType when executing the charge), the available months and the months of grace, as shown in the following example response.
  {
      name: "Diferido con intereses",
      type: "002",
      months: ["3", "6"],
      monthsOfGrace: ["1", "2", "3"]
    }
Some types of deferrals that may be returned in the response are:

Ecuador#

Diferido con meses de gracia sin intereses.
Diferido con meses de gracia con intereses.
Diferido cuota fija con intereses.
Diferido cuota fija sin intereses.
Diferido con intereses.
Diferido sin intereses.

Do you have your own 3DS authentication engine?*#

Make sure you include the threeDomainSecure object in your request.
* Applies in Ecuador 🇪🇨.
Endpoint time out: 29 sec

Request

Header Params

Body Params application/json

Examples

Responses

🟢201Created
application/json
Created
Bodyapplication/json

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api-uat.kushkipagos.com/card/v1/charges' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "token": "f5c64f7ac8ea42d5a58dcdc74de973dc",
    "amount": {
        "subtotalIva": 0,
        "subtotalIva0": 16.98,
        "ice": 0,
        "iva": 0,
        "currency": "USD"
    },
    "metadata": {
        "Referencia": "987654"
    },
    "contactDetails": {
        "documentType": "RUC",
        "documentNumber": "1234567890",
        "email": "user@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "phoneNumber": "+593912345678"
    },
    "orderDetails": {
        "siteDomain": "example.com",
        "shippingDetails": {
            "name": "John Doe",
            "phone": "+593912345678",
            "address1": "Eloy Alfaro 139 y Catalina Aldaz",
            "address2": "centro 123",
            "city": "Quito",
            "region": "Pichincha",
            "country": "Ecuador"
        },
        "billingDetails": {
            "name": "John Doe",
            "phone": "+593912345678",
            "address1": "Eloy Alfaro 139 y Catalina Aldaz",
            "address2": "centro 123",
            "city": "Quito",
            "region": "Pichincha",
            "country": "Ecuador"
        }
    },
    "productDetails": {
        "product": [
            {
                "id": "198952AB",
                "title": "eBook Digital Services",
                "price": 10000,
                "sku": "10101042",
                "quantity": 1
            },
            {
                "id": "198953AB",
                "title": "eBook Virtual Selling",
                "price": 6980,
                "sku": "004834GQ",
                "quantity": 1
            }
        ]
    },
    "webhooks": [
        {
            "events": [
                "approvedTransaction",
                "declinedTransaction"
            ],
            "headers": [
                {
                    "label": "json",
                    "value": "12"
                }
            ],
            "urls": [
                "https://eof2hhkrta4ooo1.m.pipedream.net"
            ]
        }
    ],
    "webhooksChargeback": [
        {
            "events": [
                "initialized",
                "pending",
                "review",
                "approval",
                "declined",
                "failed",
                "expired"
            ],
            "headers": [
                {
                    "label": "json",
                    "value": "12"
                }
            ],
            "urls": [
                "https://eof2hhkrta4ooo1.m.pipedream.net"
            ]
        }
    ],
    "fullResponse": "v2"
}'
Response Response Example
201 - Without fullResponse
{
    "ticketNumber": "922513792073660814",
    "transactionReference": "6f16659e-b711-4995-a9ae-161aecbd6521"
}
Modified at 2026-07-22 16:06:53
Previous
Request a card token
Next
Refund a transaction
Built with